Subscribe Bookmark RSS Feed

"R_Toplevel" could not be located.

afterword

Community Trekker

Joined:

Jun 23, 2011

Trying to get JMP to interact with R on Windows 7, JMP10, R 3.0.1.

Running: 

Get Environment Variable("R_HOME")

Yields:

"C:\Program Files\R\R-3.0.1"

But running the test code:

R Init( );

R Submit("

x <- 1:5

x

");

R Term( );

Results in:

The installed version of R cannot be used. The entry point "R_Toplevel" could not be located.

I didn't see this error message in any other posts.  Does anyone know how I can make the connection work or what R_Toplevel is?

1 ACCEPTED SOLUTION

Accepted Solutions
Solution

JMP 10 doesn't support R 3.0.

From www.jmp.com/system:

Other Compatible Software (not required):
  • SAS 9.1.3 SP4
  • SAS 9.2
  • SAS 9.3
  • R open-source statistical software releases 2.9.2 to 2.15.3

JMP 11 will support R 3.0.

-Jeff

-Jeff
2 REPLIES
Solution

JMP 10 doesn't support R 3.0.

From www.jmp.com/system:

Other Compatible Software (not required):
  • SAS 9.1.3 SP4
  • SAS 9.2
  • SAS 9.3
  • R open-source statistical software releases 2.9.2 to 2.15.3

JMP 11 will support R 3.0.

-Jeff

-Jeff
afterword

Community Trekker

Joined:

Jun 23, 2011

Thanks Jeff.  I'll roll it back.